/**
 * Implements hook_menu().
 */
function activediscussions_menu() {
  try {
    var items = {};
    items['active-discussions'] = {
      title: 'Active Discussions',
      page_callback: 'discussions_active_page'
    };
    return items;
  }
  catch (error) {
    console.log('activediscussions_menu - ' + error);
  }
}

function discussions_active_page() {
  try {
    var content = {};
    content['discussions_active'] = {
      theme: 'view',
      format: 'ul',
      path: 'activediscussions.json',
      row_callback: 'discussions_active_page_row',
      empty_callback: 'discussions_active_page_empty'
    };
    return content;
  }
  catch (error) { console.log('discussions_active_page - ' + error); }
}

function discussions_active_page_row(view, row) {
  try {
    var title = '<h2>' + row.title + '</h2>' + '<p>Last reply by <strong>' + row.author + '</strong> <p align="right"><cite>' + row.updated + '</cite></p></p>';
    var html = l(title, 'node/' + row.nid);
    return html;
  }
  catch (error) { console.log('discussions_active_page_row - ' + error); }
}

function discussions_active_page_empty(view) {
  try {
    return "Sorry, we are out of membership.";
  }
  catch (error) { console.log('discussions_active_page_empty - ' + error); }
}