
/**
 * Implements hook_menu().
 */
function computers_menu() {
  try {
    var items = {};
    items['computers-tutorials'] = {
      title: 'Computers',
      page_callback: 'tutorials_computers_page'
    };
    return items;
  }
  catch (error) {
    console.log('computers_menu - ' + error);
  }
}

function tutorials_computers_page() {
  try {
    var content = {};
    content['tutorials_computers'] = {
      theme: 'view',
      format: 'ul',
      path: 'computers.json',
      row_callback: 'tutorials_computers_page_row',
      empty_callback: 'tutorials_computers_page_empty'
    };
    return content;
  }
  catch (error) { console.log('tutorials_computers_page - ' + error); }
}

function tutorials_computers_page_row(view, row) {
  try {
    var title = '<h2>' + row.title + '</h2>' + '<p> ' + row.body + ' <p align="right"><cite>' + row.comments + '</cite> comments</p></p>';
    var html = l(title, 'node/' + row.nid);
    return html;
  }
  catch (error) { console.log('tutorials_computers_page_row - ' + error); }
}

function tutorials_computers_page_empty(view) {
  try {
    return "Sorry, we are out of membership.";
  }
  catch (error) { console.log('tutorials_computers_page_empty - ' + error); }
}