/**
 * Implements hook_block_info().
 */
function hackermenu_block_info() {
  try {
    var blocks = {};
    blocks['newmenu_block'] = {
      delta: 'newmenu_block',
      module: 'hackermenu'
    };
    blocks['newmenu_block_button'] = {
      delta: 'newmenu_block_button',
      module: 'hackermenu'
    };
    return blocks;
  }
  catch (error) { console.log('hackermenu_block_info - ' + error); }
}

/**
 * Implements hook_block_view().
 */
function hackermenu_block_view(delta, region) {
  try {
    var content = '';
    switch (delta) {

      // The slide menu (aka panel).
      case 'newmenu_block':

        var attrs = {
          id: drupalgap_panel_id(delta),
          'data-role': 'panel',
          'data-position': 'left', // left or right
          'data-display': 'overlay' // overlay, reveal or push
        };
        var items = [
          bl('Hello', 'hello', {
              attributes: {
                'data-icon': 'home'
              }
          }),
          bl('World', 'world', {
              attributes: {
                'data-icon': 'cloud'
              }
          }),
        ];
        content += '<div ' + drupalgap_attributes(attrs) + '>' +
          '<!-- panel content goes here -->' +
          theme('jqm_item_list', { items: items }) +
        '</div><!-- /panel -->';

        break;

      // The button to open the menu.
      case 'newmenu_block_button':

        content = bl('Open panel', '#' + drupalgap_panel_id('newmenu_block'), {
            attributes: {
              'data-icon': 'bars',
              'data-iconpos': 'notext',
              'class': 'ui-btn-left'
            }
        });

        break;

    }
    return content;
  }
  catch (error) { console.log('hackermenu_block_view - ' + error); }
}