/**
 * Implements hook_menu().
 */
function toolsandprograms_menu() {
  try {
    var items = {};
    items['tools-programs'] = {
      title: 'Tools',
      page_callback: 'program_tools_page'
    };
    return items;
  }
  catch (error) {
    console.log('toolsandprograms_menu - ' + error);
  }
}

function program_tools_page() {
  try {
    var content = {};
    content['program_tools'] = {
      theme: 'view',
      format: 'ul',
      path: 'toolsandprograms.json',
      row_callback: 'program_tools_page_row',
      empty_callback: 'program_tools_page_empty'
    };
    return content;
  }
  catch (error) { console.log('program_tools_page - ' + error); }
}

function program_tools_page_row(view, row) {
  try {
    var title = '<h2>' + row.title + '</h2>' + '<p>Last reply by <strong>' + row.author + '</strong> <p align="right"><cite>' + row.updated + '</cite></p></p>';
    var html = l(title, 'node/' + row.nid);
    return html;
  }
  catch (error) { console.log('program_tools_page_row - ' + error); }
}

function program_tools_page_empty(view) {
  try {
    return "Sorry, we are out of membership.";
  }
  catch (error) { console.log('program_tools_page_empty - ' + error); }
}