
/**
 * Implements hook_menu().
 */
function wifi_menu() {
  try {
    var items = {};
    items['wifi-tutorials'] = {
      title: 'WiFi',
      page_callback: 'tutorials_wifi_page'
    };
    return items;
  }
  catch (error) {
    console.log('wifi_menu - ' + error);
  }
}

function tutorials_wifi_page() {
  try {
    var content = {};
    content['tutorials_wifi'] = {
      theme: 'view',
      format: 'ul',
      path: 'wifi.json',
      row_callback: 'tutorials_wifi_page_row',
      empty_callback: 'tutorials_wifi_page_empty'
    };
    return content;
  }
  catch (error) { console.log('tutorials_wifi_page - ' + error); }
}

function tutorials_wifi_page_row(view, row) {
  try {
    var title = '<h2>' + row.title + '</h2>' + '<p> ' + row.body + ' <p align="right"><cite>' + row.comments + '</cite> comments</p></p>';
    var html = l(title, 'node/' + row.nid);
    return html;
  }
  catch (error) { console.log('tutorials_wifi_page_row - ' + error); }
}

function tutorials_wifi_page_empty(view) {
  try {
    return "Sorry, we are out of membership.";
  }
  catch (error) { console.log('tutorials_wifi_page_empty - ' + error); }
}