/**************|
 * Development |
 **************/

// Uncomment to clear the app's local storage cache each time the app loads.
window.localStorage.clear();

// Set to true to see console.log() messages. Set to false when publishing app.
Drupal.settings.debug = false;

/****************************************|
 * Drupal Settings (provided by jDrupal) |
 ****************************************/
 
/* Drupal Paths */
 
// Site Path (do not use a trailing slash)
Drupal.settings.site_path = 'http://www.hackershandbook.org'; 

// Default Services Endpoint Path
Drupal.settings.endpoint = 'drupalgap';

// Files Directory Paths (use one or the other)
Drupal.settings.file_public_path = 'sites/default/files';
//Drupal.settings.file_private_path = 'system/files';

// The Default Language Code
Drupal.settings.language_default = 'und';

/* Drupal Caching */

// Set to true to enable local storage caching.
Drupal.settings.cache.entity.enabled = false;
Drupal.settings.cache.views.enabled = false;

// Number of seconds before cached copy expires. Set to 0 to cache forever, set
// to 60 for one minute, etc.
Drupal.settings.cache.entity.expiration = 3600;
Drupal.settings.cache.views.expiration = 3600;

/*********************|
 * DrupalGap Settings |
 *********************/

// DrupalGap Mode (defaults to 'web-app')
//  'web-app' - use this mode to build a web application for a browser window
//  'phonegap' - use this mode to build a mobile application with phonegap
drupalgap.settings.mode = 'phonegap';

// Language Files - locale/[language-code].json
drupalgap.settings.locale = {
   /* es: { } */
};

/*************|
 * Appearance |
 *************/

// App Title
drupalgap.settings.title = 'Hackers Companion';
 
// App Front Page
drupalgap.settings.front = 'active-discussions';

// Theme
drupalgap.settings.theme = 'simpletheme';

// Logo
drupalgap.settings.logo = 'themes/easystreet3/images/drupalgap.jpg';

// Offline Warning Message. Set to false to hide message.
drupalgap.settings.offline_message = 'No connection found!';

// Exit app message.
drupalgap.settings.exit_message = 'Exit ' + drupalgap.settings.title + '?';

// Loader Animations - http://demos.jquerymobile.com/1.4.0/loader/
drupalgap.settings.loader = {
  loading: {
    text: 'Loading...',
    textVisible: true,
    theme: 'b'
  },
  saving: {
    text: 'Saving...',
    textVisible: true,
    theme: 'b'
  },
  deleting: {
    text: 'Deleting...',
    textVisible: true,
    theme: 'b'
  }
};

/*****************************************|
 * Modules - http://drupalgap.org/node/74 |
 *****************************************/

/** Contributed Modules - www/app/modules **/

//Drupal.modules.contrib['example'] = {};

/** Custom Modules - www/app/modules/custom **/

//Drupal.modules.custom['my_module'] = {};
Drupal.modules.contrib['force_authentication'] = {};
Drupal.modules.contrib['commerce'] = {};
Drupal.modules.contrib['addressfield'] = {};
Drupal.modules.contrib['commerce_drupalgap_stripe'] = {};
Drupal.modules.contrib['mobile_notifications'] = {};
Drupal.modules.contrib['title'] = {};
Drupal.modules.contrib['logintoboggan'] = {};
Drupal.modules.contrib['date'] = {};
Drupal.modules.contrib['services_menu'] = {};
Drupal.modules.contrib['pathfix'] = {};
Drupal.modules.contrib['user_registrationpassword'] = {};
Drupal.modules.custom['search'] = {};
Drupal.modules.custom['membership'] = {};
Drupal.modules.custom['activediscussions'] = {};
Drupal.modules.custom['post'] = {};
Drupal.modules.custom['hackingtutorials'] = {};
Drupal.modules.custom['toolsandprograms'] = {};
Drupal.modules.custom['exclusivediscussions'] = {};
Drupal.modules.custom['vip'] = {};
Drupal.modules.custom['defense'] = {};
Drupal.modules.custom['wifi'] = {};
Drupal.modules.custom['accounts'] = {};
Drupal.modules.custom['computers'] = {};
Drupal.modules.custom['websites'] = {};
Drupal.modules.custom['mobile'] = {};
Drupal.modules.custom['misc'] = {};
Drupal.modules.contrib['facebook'] = {};
drupalgap.settings.stripe_api_key = 'pk_live_fFJGYRlTi8KwroG35aEV6I08';

drupalgap.settings.facebook = {
  app_id: '851433881597354',
  scope: 'email'
};
/***************************************|
 * Menus - http://drupalgap.org/node/85 |
 ***************************************/
drupalgap.settings.menus = {}; // Do not remove this line.

// User Menu Anonymous
drupalgap.settings.menus['user_menu_anonymous'] = {
  options: menu_popup_get_default_options(),
  links: [
    {
      title: 'Login',
      path: 'user/login',
      options: {
        attributes: {
          'data-icon': 'lock'
        }
      }
    },

    {
      title: 'Create new account',
      path: 'user/register',
      options: {
        attributes: {
          'data-icon': 'plus'
        }
      }
    }
  ]
};

// User Menu Authenticated
drupalgap.settings.menus['user_menu_authenticated'] = {
  options: menu_popup_get_default_options(),
  links: [
      {
      title: 'VIP Room',
      path: 'node/2268',
      options: {
        attributes: {
          'data-icon': 'lock'
        }
      }
    },
    {
      title: 'My Account',
      path: 'user',
      options: {
        attributes: {
          'data-icon': 'user'
        }
      }
    },
		{

title:'Notifications',

path:'mobile-notifications',

options:{

    reloadPage:true,

    attributes:{

        'data-icon':'info'

    }

}
},
    {
      title: 'Logout',
      path: 'user/logout',
      options: {
        attributes: {
          'data-icon': 'delete'
        }
      }
    }
  ]
};

// blue Menu Authenticated
drupalgap.settings.menus['bluehat_menu'] = {
  options: menu_popup_get_default_options(),
  links: [
      {
      title: 'VIP Room',
      path: 'hacking-tutorials',
      options: {
        attributes: {
          'data-icon': 'star'
        }
      }
    },
    {
      title: 'My Account',
      path: 'user',
      options: {
        attributes: {
          'data-icon': 'user'
        }
      }
    },
		{

title:'Notifications',

path:'mobile-notifications',

options:{

    reloadPage:true,

    attributes:{

        'data-icon':'info'

    }

}
},
    {
      title: 'Logout',
      path: 'user/logout',
      options: {
        attributes: {
          'data-icon': 'delete'
        }
      }
    }
  ]
};
// Main Menu
drupalgap.settings.menus['main_menu'] = {
  options: menu_popup_get_default_options(),
  links: [
    {
      title:'Protecting Yourself',
      path:'defense-tutorials',
      
    },
	    {
      title:'Hacking WiFi',
      path:'wifi-tutorials',
      
    },
	{
      title:'Hacking Accounts',
      path:'accounts-tutorials',
      
    },
	{
      title:'Hacking Computers',
      path:'computers-tutorials',
      
    },
	{
      title:'Hacking Websites',
      path:'websites-tutorials',
      
    },
	{
      title:'Hacking Mobile',
      path:'mobile-tutorials',
      
    },
	{
      title:'Hacking Misc',
      path:'misc-tutorials',
      
    },
  ]
};

/****************************************|
 * Blocks - http://drupalgap.org/node/83 |
 ****************************************/
drupalgap.settings.blocks = {}; // Do not remove this line.

// Easy Street 3 Theme Blocks
drupalgap.settings.blocks.simpletheme = {

  header: {

    user_menu_authenticated: {
      roles: {
        value: ['authenticated user'],
        mode: 'include',
      }
    },
	    bluehat_menu: {
      roles: {
        value: ['bluehat'],
        mode: 'include',
      }
    },
    main_menu: { }
  },
  sub_header: {
    title: { }
  },
  navigation: {
  postbutton_block:{
    pages: {
    mode: 'include',
    value: ['active-discussions']
  }},
    viplinks_block:{
    pages: {
    mode: 'include',
    value: ['hacking-tutorials', 'tools-programs', 'exclusive-discussions']
  }},
    primary_local_tasks: { }
  },
  content: {
    messages: { },
	
/* 	commerce_cart: {
  pages: {
    title: 'cart',
    mode: 'exclude',
    value: ['cart', 'checkout/*', 'checkout/shipping/*']
  }
}, */

    main: { }
  },
  footer: {

  membership_unlock: {
  options: {
        attributes: {
		'data-icon': 'lock',
          'class': 'ui-btn-right'
        }
      },

	roles: {
        value: ['bluehat', 'anonymous user'],
        mode: 'exclude',
      }
	  },
	  
    //powered_by: { }
  }
};

/****************************************************|
 * Region Menu Links - http://drupalgap.org/node/173 |
 ****************************************************/
drupalgap.settings.menus.regions = {}; // Do not remove this line.

// Header Region Links
drupalgap.settings.menus.regions['header'] = {
  links:[
/*     Main Menu Popup Menu Button */
    {

      options: {
        popup: true,
        popup_delta: 'main_menu',
        attributes: {
          'class': 'ui-btn-left',
          'data-icon': 'bars'

        }
      },
	  				roles: {
        value: ['anonymous user'],
        mode: 'exclude',
      }
    },
    /* Home Button */
    {
      path: '',
      options: {
        attributes: {
          'data-icon': 'home',
          'data-iconpos': 'notext',
          'class': 'ui-btn-right'
        }
      },
      pages: {
        value: [''],
        mode: 'exclude'
      },
	  	  				roles: {
        value: ['anonymous user'],
        mode: 'exclude',
      }
    },

    /* Authenticated User Popup Menu Button */
    {
      options: {
        popup: true,
        popup_delta: 'user_menu_authenticated',
        attributes: {
          'class': 'ui-btn-right',
          'data-icon': 'user'
        }
      },
      roles: {
        value: ['bluehat', 'anonymous user'],
        mode: 'exclude',
      }
    },
	
	/* bluehat Menu Button */
    {
      options: {
        popup: true,
        popup_delta: 'bluehat_menu',
        attributes: {
          'class': 'ui-btn-right',
		  'data-iconpos': 'right',
          'data-icon': 'user'
        }
      },
      roles: {
        value: ['bluehat'],
        mode: 'include',
      }
    }
	
  ]
};

// Footer Region Links
drupalgap.settings.menus.regions['footer'] = {
  links: [
    /* Back Button */
    {
      options: {
        attributes: {
          'data-icon': 'back',
          'data-iconpos': 'notext',
          'class': 'ui-btn-right',
          'onclick': 'javascript:drupalgap_back();'
        }
      },
      pages: {
        value: [''],
        mode: 'exclude'
      }
    }
  ]
};

/*********|
 * Camera |
 **********/
drupalgap.settings.camera = {
  quality: 50
};

/***********************|
 * Performance Settings |
 ***********************/
drupalgap.settings.cache = {}; // Do not remove this line.

// Theme Registry - Set to true to load the page.tpl.html contents from cache.
drupalgap.settings.cache.theme_registry = true;

